Batch generate NPC dialogue
curl --request POST \
--url https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/characters/batch/generate \
--header 'Content-Type: application/json' \
--data '
{
"npc_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"context": "",
"generation_type": "dialogue"
}
'import requests
url = "https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/characters/batch/generate"
payload = {
"npc_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"context": "",
"generation_type": "dialogue"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
npc_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
context: '',
generation_type: 'dialogue'
})
};
fetch('https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/characters/batch/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "Not found",
"code": "not_found",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "The requested resource does not exist.",
"doc_url": "https://docs.kitefrost.ai/errors/not_found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": "Internal server error",
"code": "internal_error",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "An unexpected error occurred.",
"doc_url": "https://docs.kitefrost.ai/errors/internal_error"
}characters
Batch generate NPC dialogue
Trigger dialogue generation for multiple NPCs with shared context.
POST
/
v1
/
projects
/
{project_id}
/
game-narrative
/
characters
/
batch
/
generate
Batch generate NPC dialogue
Body
application/json
POST /v1/projects/{project_id}/characters/batch/generate
Response
Generation accepted for all NPCs
The response is of type Response Batch Generate V1 Projects Project Id Game Narrative Characters Batch Generate Post · object.
⌘I